/*
  Small edit of my sling load script to work with Taru Heavy Lift Helicopter
  Simple Pod Load Script by MrPvTDagger#4176 :D
*/

diag_log "MPD_PodLoad is Loading...";

_acargo = entities "Pod_Heli_Transport_04_base_F";

{
  _action = [
  "SlingLoad", // Action Name
  "Attach Cargo Pod", // Name Of action Shown In menu
  "", // Icon
  {[_target] execVM "MPD_PodLoad\sling.sqf";}, // Statment
  {(nearestObject [_target, "Helicopter"]) distance _target < 10}, // Condition
  {}, //
  [],
  [0,0,0], 100] call ace_interact_menu_fnc_createAction;

  [_x, 0, ["ACE_MainActions"], _action] call ace_interact_menu_fnc_addActionToObject;
} forEach _acargo;

/* Support for Fortification Tool ACEX */
if (isClass(configFile >> "CfgWeapons" >> "ACE_Fortify")) then
{
  ["acex_fortify_objectPlaced", {
    params ["_unit", "_side", "_object"];
    _action = [
    "SlingLoad", // Action Name
    "Attach Cargo Pod", // Name Of action Shown In menu
    "", // Icon
    {[_target] execVM "MPD_PodLoad\sling.sqf";}, // Statment
    {(nearestObject [_target, "Helicopter"]) distance _target < 10}, // Condition
    {}, //
    [],
    [0,0,0], 100] call ace_interact_menu_fnc_createAction;

    [_object, 0, ["ACE_MainActions"], _action] call ace_interact_menu_fnc_addActionToObject;
  }] call CBA_fnc_addEventHandler;
};

/* Support for Objects placed by Zues */
{ 
  _x addEventHandler ["CuratorObjectPlaced", {
    params ["_curator", "_entity"];
    if (_entity isKindOf "Pod_Heli_Transport_04_base_F") then { 
      //hint "Object is blacklisted";
    } else {
      _action = [
      "SlingLoad", // Action Name
      "Attach Cargo Pod", // Name Of action Shown In menu
      "", // Icon
      {[_target] execVM "MPD_PodLoad\sling.sqf";}, // Statment
      {(nearestObject [_target, "Helicopter"]) distance _target < 10}, // Condition
      {}, //
      [],
      [0,0,0], 100] call ace_interact_menu_fnc_createAction;

      [_entity, 0, ["ACE_MainActions"], _action] call ace_interact_menu_fnc_addActionToObject;
      //hint format["Object spawned: %1", _entity];
    };
  }];
} forEach allCurators;
